All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
context.hpp File Reference

Implementation of a OpenCL-like context, which serves as a unification of {OpenMP, CUDA, OpenCL} at the user API. More...

`#include <vector>`
`#include <stddef.h>`
`#include <assert.h>`
`#include "viennacl/forwards.h"`
`#include "viennacl/ocl/forwards.h"`
`#include "viennacl/backend/mem_handle.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::context
| Represents a generic 'context' similar to an OpenCL context, but is backend-agnostic and thus also suitable for CUDA and OpenMP. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.

## Detailed Description

Implementation of a OpenCL-like context, which serves as a unification of {OpenMP, CUDA, OpenCL} at the user API.

Definition in file context.hpp.